Bug 1460259 - [NMCI] bond_slaves_ordering_by_ifindex_with_autoconnect_slaves failed
[NMCI] bond_slaves_ordering_by_ifindex_with_autoconnect_slaves failed
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Lubomir Rintel
Desktop QE
:
Depends On: 1457223
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 10:01 EDT by Francesco Giudici
Modified: 2017-07-03 05:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-03 05:08:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francesco Giudici 2017-06-09 10:01:00 EDT
NM CI failures.

When invoking nmcli, libnm reports a warning:
libnm-WARNING **: No object known for /org/freedesktop/NetworkManager/Devices/15

This fools the test checks, making it fail.
Comment 2 Thomas Haller 2017-06-14 12:47:58 EDT
basically the same as bug 1457223.
Comment 3 Francesco Giudici 2017-07-03 05:08:31 EDT
Test fixed dropping stderr on the test checks (so ignoring the libnm warning).
Closing as NOTABUG as from a functional PoV the test was successful, was just the warning that mangled the parsing of the check output.
Living libnm warnings to be addressed in:
https://bugzilla.redhat.com/show_bug.cgi?id=1457223.

Note You need to log in before you can comment on or make changes to this bug.